# registry.h File Reference

Go to the source code of this file.

## Enumerations

enum | RegistryType { UndefinedRegistryType, ImageRegistryType, ImageInfoRegistryType, StringRegistryType }

## Functions

MagickExport char * | GetNextImageRegistry (void)
MagickExport const void * | GetImageRegistry (const RegistryType, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | DefineImageRegistry (const RegistryType, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | DeleteImageRegistry (const char *)
MagickExport MagickBooleanType | SetImageRegistry (const RegistryType, const char *, const void *, ExceptionInfo *)
MagickExport void | DestroyImageRegistry (void)
MagickExport void * | RemoveImageRegistry (const char *)
MagickExport void * | ResetImageRegistryIterator (void)

## Enumeration Type Documentation

enum RegistryType

Enumerator:

  UndefinedRegistryType |
  ImageRegistryType |
  ImageInfoRegistryType |
  StringRegistryType |

## Function Documentation

MagickExport MagickBooleanType DefineImageRegistry | ( | const | RegistryType,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageRegistry | ( | const char * |  | ) |

MagickExport void DestroyImageRegistry | ( | void |  | ) |

MagickExport const void* GetImageRegistry | ( | const | RegistryType,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char* GetNextImageRegistry | ( | void |  | ) |

MagickExport void * RemoveImageRegistry | ( | const char * |  | ) |

MagickExport void * ResetImageRegistryIterator | ( | void |  | ) |

MagickExport MagickBooleanType SetImageRegistry | ( | const | RegistryType,
|  | const char * | ,
|  | const void * | ,
|  | ExceptionInfo * |  |
| ) |  |  |